QCA::DLGroup Class Reference
QCA user API

`#include <QtCrypto>`

## Public Member Functions

| DLGroup (const BigInteger &p, const BigInteger &g)
| DLGroup (const BigInteger &p, const BigInteger &q, const BigInteger &g)
| DLGroup (const DLGroup &from)
BigInteger | g () const
bool | isNull () const
DLGroup & | operator= (const DLGroup &from)
BigInteger | p () const
BigInteger | q () const

## Static Public Member Functions

static QList< DLGroupSet > | supportedGroupSets (const QString &provider=QString())

## Detailed Description

A discrete logarithm group.

## Constructor & Destructor Documentation

## DLGroup() [1/3]

QCA::DLGroup::DLGroup | ( | const BigInteger & | p,
|  | const BigInteger & | q,
|  | const BigInteger & | g )

Construct a discrete logarithm group from raw parameters.

Parameters

  p | the P parameter
  q | the Q parameter
  g | the G parameter

References g(), p(), and q().

## DLGroup() [2/3]

QCA::DLGroup::DLGroup | ( | const BigInteger & | p,
|  | const BigInteger & | g )

Construct a discrete logarithm group from raw parameters.

Parameters

  p | the P parameter
  g | the G parameter

References g(), and p().

## DLGroup() [3/3]

QCA::DLGroup::DLGroup | ( | const DLGroup & | from | ) |

Standard copy constructor.

Parameters

  from | the group to copy from

## Member Function Documentation

## operator=()

DLGroup & QCA::DLGroup::operator= | ( | const DLGroup & | from | ) |

Standard assignment operator.

Parameters

  from | the DLGroup to copy from

## supportedGroupSets()

QList< DLGroupSet > QCA::DLGroup::supportedGroupSets | ( | const QString & | provider = QString() | ) |

static

Provide a list of the supported group sets.

Parameters

  provider | the provider to report which group sets are available. If not specified, all providers will be checked

## isNull()

bool QCA::DLGroup::isNull | ( |  | ) | const

Test if the group is empty.

## p()

BigInteger QCA::DLGroup::p | ( |  | ) | const

Provide the p component of the group.

Referenced by DLGroup(), and DLGroup().

## q()

BigInteger QCA::DLGroup::q | ( |  | ) | const

Provide the q component of the group.

Referenced by DLGroup().

## g()

BigInteger QCA::DLGroup::g | ( |  | ) | const

Provide the g component of the group.

Referenced by DLGroup(), and DLGroup().

The documentation for this class was generated from the following file:

- qca_publickey.h